Subject: Re: question about local variables in bash for cygwin
From: "Cliff Hones" <[email-masked]>
To: <[email-masked]>
Date: Mon, 8 Apr 2002 15:29:55 +0100

Evan Teran <[email-masked]> writes:
> Hello I have cygwin installed on my WinXP box and am loving it.  However
> I just noticed today that when I tried to use the local keyword in my
> bash script it gives me the error "local: not found".  The script works
> on a RedHat box as expected so I would think that this is a cygwin/bash
> problem.

On Linux /bin/sh is normally bash, but on Cygwin it is ash,
and ash does not support 'local'.  Change the first line
to #!/bin/bash and it should work.

Cliff

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/